Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.profiles
Class ProfilesManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.profiles.ProfilesManager

    public class ProfilesManager

extends Object

A singleton that provides access to the language profile of an OWLModel and buffers recently loaded profiles.

Each OWLModel can store two profile related strings in its Project's sources. One stores the selected predefined profile, which is one of the URIs of the classes such as OWLProfiles.OWL_Full. The other value can hold the name of a custom profile file. This file must be a valid OWL (XML) file that imports the OWLProfiles.owl ontology and defines a single owl:Class that acts as a superclass to all selected profile classes. Both files are optional, and the custom file has precedence over the predefined one.

Author:
  Holger Knublauch

Field Summary
`static String` | `CUSTOM_PROFILE_KEY`
`static String` | `PREDEFINED_PROFILE_URI_KEY`

Constructor Summary
`ProfilesManager()`

Method Summary
`static void` | `addAltEntryForOWLProfiles(com.hp.hpl.jena.ontology.OntModel ontModel)`
`static void` | `clearCache(String uri)`
`static com.hp.hpl.jena.ontology.OntModel` | `createProfile(String defaultNamespace)`
`static com.hp.hpl.jena.ontology.OntClass` | `getCustomProfileFeaturesClass(com.hp.hpl.jena.ontology.OntModel ontModel)`
`static String` | `getCustomProfileURI(OWLModel owlModel)`
`static com.hp.hpl.jena.ontology.OntModel` | `getDefaultProfileOntModel()`
`static String` | `getDefaultProfileURI()`
`static Set` | `getFeaturesSet(String uri)`
`static String` | `getPredefinedProfile(OWLModel owlModel)`
`static String` | `getProfile(OWLModel owlModel)`
`static com.hp.hpl.jena.ontology.OntModel` | `getProfileOntModel(OWLModel owlModel)`
`static com.hp.hpl.jena.ontology.OntModel` | `getProfileOntModel(String uri)`
`static Set` | `getSelectedClasses(com.hp.hpl.jena.ontology.OntModel ontModel, com.hp.hpl.jena.ontology.OntClass featuresClass)`
`static Iterator` | `getSubclasses(com.hp.hpl.jena.ontology.OntModel ontModel, com.hp.hpl.jena.ontology.OntClass ontClass)`
`static edu.stanford.smi.protege.model.Cls[]` | `getSupportedRestrictionMetaClses(OWLModel owlModel)`
`static boolean` | `isFeatureSupported(OWLModel owlModel, com.hp.hpl.jena.ontology.OntClass ontClass)`
`static com.hp.hpl.jena.ontology.OntModel` | `loadOntModel(String uri)`
`static void` | `saveOntModel(com.hp.hpl.jena.ontology.OntModel newOntModel, String fileName)`
`static void` | `setProfile(OWLModel owlModel, String uri)`
`static void` | `setProfile(OWLProject project, String uri)`
`static void` | `setProfile(edu.stanford.smi.protege.util.PropertyList sources, String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUSTOM_PROFILE_KEY

    public static final String CUSTOM_PROFILE_KEY

See Also:
  Constant Field Values

### PREDEFINED_PROFILE_URI_KEY

    public static final String PREDEFINED_PROFILE_URI_KEY

See Also:
  Constant Field Values

Constructor Detail

### ProfilesManager

    public ProfilesManager()

Method Detail

### addAltEntryForOWLProfiles

    public static void addAltEntryForOWLProfiles(com.hp.hpl.jena.ontology.OntModel ontModel)

### clearCache

    public static void clearCache(String uri)

### createProfile

    public static com.hp.hpl.jena.ontology.OntModel createProfile(String defaultNamespace)

### getCustomProfileFeaturesClass

    public static com.hp.hpl.jena.ontology.OntClass getCustomProfileFeaturesClass(com.hp.hpl.jena.ontology.OntModel ontModel)

### getCustomProfileURI

    public static String getCustomProfileURI(OWLModel owlModel)

### getDefaultProfileOntModel

    public static com.hp.hpl.jena.ontology.OntModel getDefaultProfileOntModel()

### getDefaultProfileURI

    public static String getDefaultProfileURI()

### getFeaturesSet

    public static Set getFeaturesSet(String uri)

### getPredefinedProfile

    public static String getPredefinedProfile(OWLModel owlModel)

### getProfile

    public static String getProfile(OWLModel owlModel)

### getProfileOntModel

    public static com.hp.hpl.jena.ontology.OntModel getProfileOntModel(OWLModel owlModel)
                                                                throws Exception

  Throws:
    `Exception`

### getProfileOntModel

    public static com.hp.hpl.jena.ontology.OntModel getProfileOntModel(String uri)
                                                                throws Exception

  Throws:
    `Exception`

### getSupportedRestrictionMetaClses

    public static edu.stanford.smi.protege.model.Cls[] getSupportedRestrictionMetaClses(OWLModel owlModel)

### getSelectedClasses

    public static Set getSelectedClasses(com.hp.hpl.jena.ontology.OntModel ontModel,
                                         com.hp.hpl.jena.ontology.OntClass featuresClass)

### getSubclasses

    public static Iterator getSubclasses(com.hp.hpl.jena.ontology.OntModel ontModel,
                                         com.hp.hpl.jena.ontology.OntClass ontClass)

### isFeatureSupported

    public static boolean isFeatureSupported(OWLModel owlModel,
                                             com.hp.hpl.jena.ontology.OntClass ontClass)

### loadOntModel

    public static com.hp.hpl.jena.ontology.OntModel loadOntModel(String uri)

### saveOntModel

    public static void saveOntModel(com.hp.hpl.jena.ontology.OntModel newOntModel,
                                    String fileName)
                             throws IOException

  Throws:
    `IOException`

### setProfile

    public static void setProfile(OWLModel owlModel,
                                  String uri)

### setProfile

    public static void setProfile(edu.stanford.smi.protege.util.PropertyList sources,
                                  String uri)

### setProfile

    public static void setProfile(OWLProject project,
                                  String uri)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.